#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x97,0x0F,0x2E,0x1C,0x55,0xD1,0xCA,0xF9,0x48,0xF7,0xD5,0xEE,
		0x25,0x44,0x7A,0xC0,0xB7,0xB4,0xC6,0xFA,0xAC,0x9D,0x2C,0x3B,
		0x81,0xC9,0x92,0x2A,0x19,0x21,0x05,0x5B,0xA4,0x65,0x56,0xFB,
		0x76,0x57,0x5D,0x23,0x75,0x70,0xC5,0x61,0xC4,0xF7,0x75,0x74,
		0x93,0x49,0x09,0xC4,0xD3,0xD9,0x40,0x77,0x21,0xA2,0xB1,0x0A,
		0x0D,0x14,0x36,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
